<div class="dashboard-page">
  <div class="top-page">
    <div class="box-search">
      <span class="name-box">Wells Name</span>
      <cts-autocomplete-wells-name
        (callback)="onSelectWellName($event)"
        [data]="wellData"
        [searchQueryString]="searchQueryString"
        (searchWell)="searchWell($event)"
      ></cts-autocomplete-wells-name>
    </div>
    <!-- end/box search -->
    <div class="box-location">
      <span class="name-box">location</span>
      <div class="box-dropdown">
        <cts-dropdown [data]="listLocation" [selectOption]="selectedLocation" (callback)="selectLocation($event)">
        </cts-dropdown>
      </div>
    </div>
    <!-- box location -->
  </div>
  <!-- end/top filter page -->
  <div class="second-page">
    <div class="top-title">
      <span class="title-page">Trip Schedule and Core Depth</span>
      <div class="box-export" *ngIf="schedules">
        <span class="title-export">export to</span>
        <a href="javascript:;" class="click-export" (click)="downloadCsv()">
          <fa-icon class="export-icon pdf-icon" [icon]="['fas', 'file-csv']" [styles]="{ color: '#6E9700' }"></fa-icon>
        </a>
        <a href="javascript:;" class="click-export" (click)="downloadPdf()">
          <fa-icon class="export-icon csv-icon" [icon]="['fas', 'file-pdf']" [styles]="{ color: '#D61600' }"></fa-icon>
        </a>
      </div>
      <!-- end/box export -->
    </div>
    <!-- end/top title -->
    <div class="cover-content">
      <div class="left-content">
        <mat-tab-group class="cover-tab" (selectedTabChange)="selectedTabChange($event)">
          <mat-tab label="Wells Details">
            <cts-wells-details
              #wellsDetails
              [listWellsDetails]="listWellsDetails"
              (callback)="callbackWellDetails($event)"
              (selectedValues)="getSelectedValues($event)"
            ></cts-wells-details>
          </mat-tab>
          <mat-tab label="Oil Properties">
            <cts-oil-properties
              [data]="listOilProperties"
              [total]="totalPressure"
              (callback)="callbackOilProperties($event)"
            >
            </cts-oil-properties>
          </mat-tab>
        </mat-tab-group>
        <!-- end/cover tab -->
        <div class="bottom-btn">
          <button mat-button class="btn-reset" (click)="reset()">Reset</button>
          <button mat-button class="btn-reset btn-show" (click)="loadDataSchedule()">Show Schedule</button>
        </div>
        <!-- end/bottom btn -->
      </div>
      <!-- end/left content -->
      <div class="right-content">
        <mat-tab-group class="cover-tab" (selectedTabChange)="onChangeRightTab($event)">
          <mat-tab label="Trip Schedule">
            <div class="container-tab" [perfectScrollbar]="{ suppressScrollY: true, suppressScrollX: false }">
              <cts-trip-schedule [columns]="columns" [schedules]="schedules" *ngIf="schedules; else emptyScheduleBlock">
              </cts-trip-schedule>
            </div>
          </mat-tab>
          <mat-tab label="Core Depth Graph">
            <div
              class="chart-here container-tab"
              [perfectScrollbar]="{ suppressScrollY: true, suppressScrollX: false }"
            >
              <cts-line-chart [schedules]="schedules" *ngIf="schedules; else emptyGraphBlock" #lineChart>
              </cts-line-chart>
            </div>
          </mat-tab>
        </mat-tab-group>
        <div class="content-loading" *ngIf="isLoading">
          <gng-spinner></gng-spinner>
        </div>
      </div>
      <!-- end/right menu -->
    </div>
    <!-- cover content -->
  </div>
  <!-- end/second page -->
</div>
<!-- end/dashboard page -->
<ng-template #emptyScheduleBlock>
  <div class="box-emty">
    <div class="content-box">
      <img src="/assets/images/icon-empty-calculator.svg" alt="image" />
      <span class="text-emty">No schedule to show</span>
      <span class="text-emty">Please input values to calculate</span>
    </div>
  </div>
  <!-- end/box not found -->
</ng-template>
<ng-template #emptyGraphBlock>
  <div class="box-emty">
    <div class="content-box">
      <img src="/assets/images/icon-empty-calculator.svg" alt="image" />
      <span class="text-emty">No graph to generate</span>
      <span class="text-emty">Please input values to calculate</span>
    </div>
  </div>
  <!-- end/box not found -->
</ng-template>
